PLplot: pltick.c File Reference

PLplot 5.10.0

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros
Functions
pltick.c File Reference
`#include "plplotP.h"`

Go to the source code of this file.

## Functions
void | plwxtik (PLFLT x, PLFLT y, PLBOOL minor, PLBOOL invert)
void | plwytik (PLFLT x, PLFLT y, PLBOOL minor, PLBOOL invert)
void | plxtik (PLINT x, PLINT y, PLINT below, PLINT above)
void | plytik (PLINT x, PLINT y, PLINT left, PLINT right)
void | plstik (PLFLT mx, PLFLT my, PLFLT dx, PLFLT dy)
static void | plerx1 (PLFLT xmin, PLFLT xmax, PLFLT y)
static void | plery1 (PLFLT x, PLFLT ymin, PLFLT ymax)
void | c_plerrx (PLINT n, const PLFLT *xmin, const PLFLT *xmax, const PLFLT *y)
void | c_plerry (PLINT n, const PLFLT *x, const PLFLT *ymin, const PLFLT *ymax)

## Function Documentation

void c_plerrx | ( | PLINT | n,
|  | const PLFLT * | xmin,
|  | const PLFLT * | xmax,
|  | const PLFLT * | y
| ) |  |

Definition at line 181 of file pltick.c.

void c_plerry | ( | PLINT | n,
|  | const PLFLT * | x,
|  | const PLFLT * | ymin,
|  | const PLFLT * | ymax
| ) |  |

Definition at line 202 of file pltick.c.

static void plerx1 | ( | PLFLT | xmin,
|  | PLFLT | xmax,
|  | PLFLT | y
| ) |  |
| static

Definition at line 145 of file pltick.c.

static void plery1 | ( | PLFLT | x,
|  | PLFLT | ymin,
|  | PLFLT | ymax
| ) |  |
| static

Definition at line 163 of file pltick.c.

void plstik | ( | PLFLT | mx,
|  | PLFLT | my,
|  | PLFLT | dx,
|  | PLFLT | dy
| ) |  |

Definition at line 132 of file pltick.c.

void plwxtik | ( | PLFLT | x,
|  | PLFLT | y,
|  | PLBOOL | minor,
|  | PLBOOL | invert
| ) |  |

Definition at line 32 of file pltick.c.

void plwytik | ( | PLFLT | x,
|  | PLFLT | y,
|  | PLBOOL | minor,
|  | PLBOOL | invert
| ) |  |

Definition at line 68 of file pltick.c.

void plxtik | ( | PLINT | x,
|  | PLINT | y,
|  | PLINT | below,
|  | PLINT | above
| ) |  |

Definition at line 105 of file pltick.c.

void plytik | ( | PLINT | x,
|  | PLINT | y,
|  | PLINT | left,
|  | PLINT | right
| ) |  |

Definition at line 118 of file pltick.c.